Package org.opensaml.core.testing

# Class InitializerBaseTestCase

java.lang.Object
org.opensaml.core.testing.InitializerBaseTestCase

Direct Known Subclasses:
  `XMLObjectProviderInitializerBaseTestCase`

public abstract class InitializerBaseTestCase extends Object
An abstract base class for initializer tests which ensures are using a unique configuration partition via a thread-local properties source.

## Constructor Summary

Constructors
Constructor
Description
`InitializerBaseTestCase()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
Test set up.
`protected void`
`tearDown()`
Test tear down.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InitializerBaseTestCase

public InitializerBaseTestCase()

## Method Details

### setUp

@BeforeMethod protected void setUp() throws Exception
Test set up.

Throws:
  `Exception` - on error

### tearDown

@AfterMethod protected void tearDown() throws Exception
Test tear down.

Throws:
  `Exception` - on error